'---------------------------------------------------------------------
'  Copyright (C) Microsoft Corporation.  All rights reserved.
' 
'THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
'KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'PARTICULAR PURPOSE.
'---------------------------------------------------------------------

Option Explicit On
Option Strict On

Public Class Form1

    Dim employees As SortableSearchableList(Of Employee) = New SortableSearchableList(Of Employee)

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        PopulateDataGridView()
    End Sub

    Private Sub PopulateDataGridView()
        employees.Add(New Employee("Abolrous", "Sam", 56000, New DateTime(2002, 5, 6)))
        employees.Add(New Employee("Han", "Mu", 54000, New DateTime(2001, 3, 4)))
        employees.Add(New Employee("Plate", "Tanja", 87000, New DateTime(2001, 6, 5)))
        employees.Add(New Employee("Akers", "Kim", 53000, New DateTime(2005, 4, 2)))
        employees.Add(New Employee("Hanson", "Mark", 66000, New DateTime(2000, 11, 5)))
        employees.Add(New Employee("Ito", "Shu", 72000, New DateTime(2002, 12, 12)))
        DataGridView1.DataSource = employees
        DataGridView1.AutoGenerateColumns = True
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim row As Integer = employees.Find("LastName", TextBox1.Text)
        If row >= 0 Then
            MessageBox.Show(TextBox1.Text & " found in (zero-based) row " & row.ToString())
        Else
            MessageBox.Show("Last name: " + TextBox1.Text + " was not found.")
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        employees.RemoveSort()
    End Sub
End Class
